Bug 83566 - "*/" string is highlighted as error
"*/" string is highlighted as error
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Vladimir Voskresensky
issues@cnd
highlighting
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-28 10:17 UTC by soldatov
Modified: 2008-03-14 21:21 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2006-08-28 10:17:42 UTC
"*/" string is highlighted as error. But It is correct code.

int main()
{
    const/*    */int*/*       */i = 0;    // const int* i = 0;
    return(0);
}
Comment 1 Vladimir Voskresensky 2007-08-23 11:26:36 UTC
fixed:
- handle */* correctly in syntax

cvs log:
Checking in CCSyntax.java;
/shared/data/ccvs/repository/cnd/core/src/org/netbeans/modules/cnd/editor/cplusplus/CCSyntax.java,v  <--  CCSyntax.java
new revision: 1.13; previous revision: 1.12
done

+ tests
Checking in CCDocumentTokenizeUnitTestCase.java;
/shared/data/ccvs/repository/cnd/core/test/unit/src/org/netbeans/modules/cnd/editor/cplusplus/CCDocumentTokenizeUnitTestCase.java,v
 <--  CCDocumentTokenizeUnitTestCase.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/cnd/core/test/unit/src/org/netbeans/modules/cnd/editor/cplusplus/CCTokenizeUnitTestCase.java,v
done
Checking in CCTokenizeUnitTestCase.java;
/shared/data/ccvs/repository/cnd/core/test/unit/src/org/netbeans/modules/cnd/editor/cplusplus/CCTokenizeUnitTestCase.java,v
 <--  CCTokenizeUnitTestCase.java
initial revision: 1.1
done
Checking in CCSyntaxUnitTest.java;
/shared/data/ccvs/repository/cnd/core/test/unit/src/org/netbeans/modules/cnd/editor/cplusplus/CCSyntaxUnitTest.java,v 
<--  CCSyntaxUnitTest.java
new revision: 1.3; previous revision: 1.2
done
Checking in CCTokenizePreprocessorUnitTestCase.java;
/shared/data/ccvs/repository/cnd/core/test/unit/src/org/netbeans/modules/cnd/editor/cplusplus/CCTokenizePreprocessorUnitTestCase.java,v
 <--  CCTokenizePreprocessorUnitTestCase.java
new revision: 1.3; previous revision: 1.2
done
Comment 2 soldatov 2008-02-28 09:02:51 UTC
code is highlighted as error
Comment 3 Vladimir Voskresensky 2008-02-28 10:36:14 UTC
thanks. need to update new lexer as well for such use case
Comment 4 Vladimir Voskresensky 2008-02-28 11:59:46 UTC
fixed

log: http://hg.netbeans.org/main?cmd=changeset;node=cdd07b4a729c
Comment 5 soldatov 2008-03-14 21:21:08 UTC
verified in 200803141205 build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo